<?xml version="1.0" encoding="utf-8"?>
<manifest
    xmlns:android="http://schemas.android.com/apk/res/android"
    package="de.beyondsoft.ownchat">

    <uses-permission android:name="android.permission.INTERNET" />
    <uses-permission android:name="android.permission.READ_EXTERNAL_STORAGE" />
    <uses-permission android:name="android.permission.WRITE_EXTERNAL_STORAGE" />
    <uses-permission android:name="android.permission.ACCESS_NETWORK_STATE" />
    <uses-permission android:name="android.permission.VIBRATE" />

    <application
        android:name="de.beyondsoft.ownchat.BewoplanerApplication"
        android:allowBackup="true"
        android:icon="@mipmap/ic_launcher"
        android:label="@string/app_name"
        android:supportsRtl="true"
        android:theme="@style/AppTheme">
        <activity
            android:name="de.beyondsoft.ownchat.page.splash.SplashActivity"
            android:screenOrientation="portrait"
            android:theme="@style/AppTheme.FullBackground">
            <intent-filter>
                <action android:name="android.intent.action.MAIN" />

                <category android:name="android.intent.category.LAUNCHER" />
            </intent-filter>
        </activity>
        <activity
            android:name="de.beyondsoft.ownchat.page.login.LoginActivity"
            android:screenOrientation="portrait"
            android:theme="@style/AppTheme.FullBackground" />
        <activity
            android:name="de.beyondsoft.ownchat.page.main.MainActivity"
            android:launchMode="singleTask"
            android:screenOrientation="portrait"
            android:theme="@style/AppTheme.NoActionBar" />
        <activity
            android:name="de.beyondsoft.ownchat.page.impressum.ImpressumActivity"
            android:screenOrientation="portrait"
            android:theme="@style/AppTheme.NoActionBar" />
        <activity
            android:name="de.beyondsoft.ownchat.page.chat.SingleChatActivity"
            android:label=""
            android:launchMode="singleTop"
            android:screenOrientation="portrait"
            android:theme="@style/ChatStyle" />
        <activity
            android:name="de.beyondsoft.ownchat.page.chat.GroupChatActivity"
            android:label=""
            android:launchMode="singleTop"
            android:screenOrientation="portrait"
            android:theme="@style/ChatStyle" />
        <activity
            android:name="de.beyondsoft.ownchat.page.chatmembers.ChatMembersActivity"
            android:label=""
            android:screenOrientation="portrait"
            android:theme="@style/ChatStyle" />

        <meta-data
            android:name="io.fabric.ApiKey"
            android:value="1dcc8d0ead50f1b328778876834fea3392c6fc22" />

        <service android:name="de.beyondsoft.ownchat.data.firebase.MessagingInstanceIdService">
            <intent-filter>
                <action android:name="com.google.firebase.INSTANCE_ID_EVENT" />
            </intent-filter>
        </service>
        <service
            android:name="de.beyondsoft.ownchat.utils.AppStoppedService"
            android:stopWithTask="false" />
        <service android:name="de.beyondsoft.ownchat.data.firebase.HandleMessagesService">
            <intent-filter>
                <action android:name="com.google.firebase.MESSAGING_EVENT" />
            </intent-filter>
        </service>

        <provider
            android:name="android.support.v4.content.FileProvider"
            android:authorities="${applicationId}.provider"
            android:exported="false"
            android:grantUriPermissions="true">
            <meta-data
                android:name="android.support.FILE_PROVIDER_PATHS"
                android:resource="@xml/provider_paths" />
        </provider>

        <provider
            android:authorities="${applicationId}.provider"
            android:name=".filepicker.utils.FilePickerProvider"
            android:exported="false"
            android:grantUriPermissions="true"
            >
            <meta-data
                android:name="android.support.FILE_PROVIDER_PATHS"
                android:resource="@xml/provider_paths"
                />
        </provider>

        <receiver
            android:name="de.beyondsoft.ownchat.data.firebase.ReplyNotificationReceiver"
            android:enabled="true"
            android:exported="false" />

        <meta-data
            android:name="com.google.firebase.messaging.default_notification_icon"
            android:resource="@drawable/icon_notification_transparent" />
        <meta-data
            android:name="com.google.firebase.messaging.default_notification_color"
            android:resource="@color/colorDefault" />

        <activity
            android:name="de.beyondsoft.ownchat.page.fileconfirmation.FileConfirmationActivity"
            android:label=""
            android:screenOrientation="portrait"
            android:theme="@style/ChatStyle"
            />

    </application>

</manifest>